Page MenuHomePhabricator

[Bug] The ValueView CI does not run its own QUnit tests
Closed, ResolvedPublic

Description

The ValueView repository on GitHub is obviously not set up to run the QUnit tests during CI. Over the pasts weeks we did two four releases with broken tests but did not realized until we tried to use the release on Wikibase.git, where the QUnit tests are executed and fail. This just does not make sense and does nothing but causing pain. Let's say a ValueView change does contain a breaking change, this is documented and there is even a patch that adapts the Wikibase code base on Gerrit, why should this Gerrit patch be blocked because of a bug in a test in an other component?

Possible solutions:

  1. Make the QUnit tests run on GitHub/Travis so breaking changes can not be merged unnoticed.
  2. Move ValueView to Gerrit/Jenkins if GitHub/Travis can not run the QUnit tests. Jenkins obviously can.
  3. Exclude the ValueView tests when Gerrit/Jenkins runs the tests. In my opinion this is the most simple solution when the first two are not possible for some reason.
  4. Set the QUnit tests on Jenkins to non-voting.

Event Timeline

thiemowmde raised the priority of this task from to High.
thiemowmde updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 3:06 PM
Legoktm set Security to None.
thiemowmde updated the task description. (Show Details)Sep 10 2015, 9:11 AM
thiemowmde edited subscribers, added: Tobi_WMDE_SW, adrianheine; removed: ToBeFree.
Ricordisamoa renamed this task from [Bug] The ValueView CI does not run it's own QUnit tests to [Bug] The ValueView CI does not run its own QUnit tests.Sep 11 2015, 6:32 AM
Ricordisamoa added a subscriber: Ricordisamoa.
thiemowmde reopened this task as Open.Apr 13 2016, 12:10 PM
thiemowmde removed adrianheine as the assignee of this task.